Package fr.gouv.vitam.metadata.core.reconstruction.domain.extractor

# Class PurgedPersistentIdentifierExtractor

java.lang.Object
fr.gouv.vitam.metadata.core.reconstruction.domain.extractor.PurgedPersistentIdentifierExtractor

Direct Known Subclasses:
  `ObjectPurgedPersistentIdentifierExtractor`, `UnitPurgedPersistentIdentifierExtractor`, `VersionPurgedPersistentIdentifierExtractor`

public abstract class PurgedPersistentIdentifierExtractor extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OBJECT`
  `static final String`
  `UNIT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PurgedPersistentIdentifierExtractor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<PersistentIdentifierModel>`
  `extractPersistentIdentifiers(com.fasterxml.jackson.databind.JsonNode element)`
  `abstract List<PurgedPersistentIdentifier>`
  `extractPurgedPersistentIdentifier(com.fasterxml.jackson.databind.JsonNode node, ReconstructionOperation operation)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OBJECT

    public static final String OBJECT
    See Also:
      - Constant Field Values

  - ### UNIT

    public static final String UNIT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PurgedPersistentIdentifierExtractor

    public PurgedPersistentIdentifierExtractor()

- ## Method Details

  - ### extractPurgedPersistentIdentifier

    public abstract List<PurgedPersistentIdentifier> extractPurgedPersistentIdentifier(com.fasterxml.jackson.databind.JsonNode node, ReconstructionOperation operation) throws MetaDataExecutionException
    Throws:
      `MetaDataExecutionException`

  - ### extractPersistentIdentifiers

    protected List<PersistentIdentifierModel> extractPersistentIdentifiers(com.fasterxml.jackson.databind.JsonNode element)